Last Comment Bug 695457 - Use android system backend for Awesome Bar data
: Use android system backend for Awesome Bar data
Status: VERIFIED FIXED
[birch] [Product Approved]
: feature
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: ARM Android
: P1 normal (vote)
: ---
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-18 12:46 PDT by Erin Lancaster [:elan]
Modified: 2016-07-29 14:20 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
patch (13.25 KB, patch)
2011-10-19 09:51 PDT, Brad Lassey [:blassey] (use needinfo?)
doug.turner: review+
Details | Diff | Splinter Review

Description Erin Lancaster [:elan] 2011-10-18 12:46:42 PDT
* does the native scheme have a way to do Frequency
Comment 1 Brad Lassey [:blassey] (use needinfo?) 2011-10-19 09:51:37 PDT
Created attachment 568097 [details] [diff] [review]
patch
Comment 2 Doug Turner (:dougt) 2011-10-19 09:56:22 PDT
Comment on attachment 568097 [details] [diff] [review]
patch

Review of attachment 568097 [details] [diff] [review]:
-----------------------------------------------------------------

awesome

::: embedding/android/AwesomeBar.java
@@ +165,5 @@
>              public Cursor runQuery(CharSequence constraint) {
> +                mCursor = activity.managedQuery(Browser.BOOKMARKS_URI,
> +                                       null, Browser.BookmarkColumns.URL + " LIKE ? OR title LIKE ?", 
> +                                       new String[] {"%" + constraint.toString() + "%", "%" + constraint.toString() + "%",},
> +                                       Browser.BookmarkColumns.VISITS + " * 10 * MAX(1, (" + Browser.BookmarkColumns.DATE + " - " + new Date().getTime() + ") / 86400000 + 120) DESC");

please comment on what you are attempting here.
Comment 3 Brad Lassey [:blassey] (use needinfo?) 2011-10-19 10:43:15 PDT
pushed https://hg.mozilla.org/projects/birch/rev/208cba10065b
Comment 4 Aaron Train [:aaronmt] 2011-10-21 07:27:25 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111021 Firefox/10.0a1 Fennec/10.0a1 (birch)
Samsung Galaxy SII (Android 2.3.4)

Note You need to log in before you can comment on or make changes to this bug.